关闭

在Lion中安装Xcode 3.x的方法

391人阅读 评论(0) 收藏 举报

在Lion中安装Xcode 3.x的方法       

 

在Lion中不支持旧的Xcode版本(3.x),你只能安装Xcode4.x,这对使用第三方IB插件的Mac开发者来说不是一个好消息。

如果你尝试去安装,就会发现Xcode Toolset组件不能选择(禁用),这会导致错误的安装结果,会有一些空的文件夹,没有Xcode应用程序或者没有SDK等。

如果一定要在Lion上安装Xcode 3.x的版本,就用以下解决方式:

  • 用Disk Utility(在实用工具里面)把Xcode 3.2.x的磁盘映像(dmg文件,我是使用3.2.6进行尝试)转换成一个可读写的dmg文件。
  • 转换好后双击它,让Finder在设备里面显示它。
  • 在Finder里面右键Xcode包(Xcode and iOS SDK),选择“Show Packages”
  • 进入Contents文件夹,用TextEdit打开iPhoneSDKSL.dist文件
  • 搜索“10.7“,并用”10.8“替换它
  • 保存再运行这个安装包
已测试通过。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:569826次
    • 积分:6744
    • 等级:
    • 排名:第3605名
    • 原创:110篇
    • 转载:125篇
    • 译文:0篇
    • 评论:49条
    最新评论